Get Accounts Minimal for a Customer
GET /obp/v7.0.0/customers/CUSTOMER_ID/accounts-minimal
OBPv4.0.0-getAccountsMinimalByCustomerId Roles: CanGetAccountsMinimalForCustomerAtOneBank(per bank),CanGetAccountsMinimalForCustomerAtAnyBank Account
Get Accounts Minimal by CUSTOMER_ID
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (4)
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- accounts
- bank_id
- gh.29.uk
- view_id
- owner
Example success response
{
"accounts": [
{
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"view_id": "owner"
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30002: Customer not found. Please specify a valid value for CUSTOMER_NUMBER.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: